Package org.kapott.hbci.sepa.jaxb.pain_001_002_02

# Class CreditTransferTransactionInformationSCT

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_002_02.CreditTransferTransactionInformationSCT

public class CreditTransferTransactionInformationSCT extends Object

Java class for CreditTransferTransactionInformationSCT complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditTransferTransactionInformationSCT">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtId" type="{urn:swift:xsd:$pain.001.002.02}PaymentIdentification1"/>
             <element name="PmtTpInf" type="{urn:swift:xsd:$pain.001.002.02}PaymentTypeInformationSCT2" minOccurs="0"/>
             <element name="Amt" type="{urn:swift:xsd:$pain.001.002.02}AmountTypeSCT"/>
             <element name="ChrgBr" type="{urn:swift:xsd:$pain.001.002.02}ChargeBearerTypeSCTCode" minOccurs="0"/>
             <element name="UltmtDbtr" type="{urn:swift:xsd:$pain.001.002.02}PartyIdentificationSCT1" minOccurs="0"/>
             <element name="CdtrAgt" type="{urn:swift:xsd:$pain.001.002.02}BranchAndFinancialInstitutionIdentificationSCT"/>
             <element name="Cdtr" type="{urn:swift:xsd:$pain.001.002.02}PartyIdentificationSCT2"/>
             <element name="CdtrAcct" type="{urn:swift:xsd:$pain.001.002.02}CashAccountSCT2"/>
             <element name="UltmtCdtr" type="{urn:swift:xsd:$pain.001.002.02}PartyIdentificationSCT1" minOccurs="0"/>
             <element name="Purp" type="{urn:swift:xsd:$pain.001.002.02}PurposeSCT" minOccurs="0"/>
             <element name="RmtInf" type="{urn:swift:xsd:$pain.001.002.02}RemittanceInformationSCTChoice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AmountTypeSCT`
`amt`
`protected PartyIdentificationSCT2`
`cdtr`
`protected CashAccountSCT2`
`cdtrAcct`
`protected BranchAndFinancialInstitutionIdentificationSCT`
`cdtrAgt`
`protected ChargeBearerTypeSCTCode`
`chrgBr`
`protected PaymentIdentification1`
`pmtId`
`protected PaymentTypeInformationSCT2`
`pmtTpInf`
`protected PurposeSCT`
`purp`
`protected RemittanceInformationSCTChoice`
`rmtInf`
`protected PartyIdentificationSCT1`
`ultmtCdtr`
`protected PartyIdentificationSCT1`
`ultmtDbtr`

## Constructor Summary

Constructors
Constructor
Description
`CreditTransferTransactionInformationSCT()`

## Method Summary

Modifier and Type
Method
Description
`AmountTypeSCT`
`getAmt()`
Gets the value of the amt property.
`PartyIdentificationSCT2`
`getCdtr()`
Gets the value of the cdtr property.
`CashAccountSCT2`
`getCdtrAcct()`
Gets the value of the cdtrAcct property.
`BranchAndFinancialInstitutionIdentificationSCT`
`getCdtrAgt()`
Gets the value of the cdtrAgt property.
`ChargeBearerTypeSCTCode`
`getChrgBr()`
Gets the value of the chrgBr property.
`PaymentIdentification1`
`getPmtId()`
Gets the value of the pmtId property.
`PaymentTypeInformationSCT2`
`getPmtTpInf()`
Gets the value of the pmtTpInf property.
`PurposeSCT`
`getPurp()`
Gets the value of the purp property.
`RemittanceInformationSCTChoice`
`getRmtInf()`
Gets the value of the rmtInf property.
`PartyIdentificationSCT1`
`getUltmtCdtr()`
Gets the value of the ultmtCdtr property.
`PartyIdentificationSCT1`
`getUltmtDbtr()`
Gets the value of the ultmtDbtr property.
`void`
`setAmt(AmountTypeSCT value)`
Sets the value of the amt property.
`void`
`setCdtr(PartyIdentificationSCT2 value)`
Sets the value of the cdtr property.
`void`
`setCdtrAcct(CashAccountSCT2 value)`
Sets the value of the cdtrAcct property.
`void`
`setCdtrAgt(BranchAndFinancialInstitutionIdentificationSCT value)`
Sets the value of the cdtrAgt property.
`void`
`setChrgBr(ChargeBearerTypeSCTCode value)`
Sets the value of the chrgBr property.
`void`
`setPmtId(PaymentIdentification1 value)`
Sets the value of the pmtId property.
`void`
`setPmtTpInf(PaymentTypeInformationSCT2 value)`
Sets the value of the pmtTpInf property.
`void`
`setPurp(PurposeSCT value)`
Sets the value of the purp property.
`void`
`setRmtInf(RemittanceInformationSCTChoice value)`
Sets the value of the rmtInf property.
`void`
`setUltmtCdtr(PartyIdentificationSCT1 value)`
Sets the value of the ultmtCdtr property.
`void`
`setUltmtDbtr(PartyIdentificationSCT1 value)`
Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pmtId

protected PaymentIdentification1 pmtId

### pmtTpInf

protected PaymentTypeInformationSCT2 pmtTpInf

### amt

protected AmountTypeSCT amt

### chrgBr

protected ChargeBearerTypeSCTCode chrgBr

### ultmtDbtr

protected PartyIdentificationSCT1 ultmtDbtr

### cdtrAgt

protected BranchAndFinancialInstitutionIdentificationSCT cdtrAgt

### cdtr

protected PartyIdentificationSCT2 cdtr

### cdtrAcct

protected CashAccountSCT2 cdtrAcct

### ultmtCdtr

protected PartyIdentificationSCT1 ultmtCdtr

### purp

protected PurposeSCT purp

### rmtInf

protected RemittanceInformationSCTChoice rmtInf

## Constructor Details

### CreditTransferTransactionInformationSCT

public CreditTransferTransactionInformationSCT()

## Method Details

### getPmtId

public PaymentIdentification1 getPmtId()
Gets the value of the pmtId property.

Returns:
  possible object is `PaymentIdentification1`

### setPmtId

public void setPmtId(PaymentIdentification1 value)
Sets the value of the pmtId property.

Parameters:
  `value` - allowed object is `PaymentIdentification1`

### getPmtTpInf

public PaymentTypeInformationSCT2 getPmtTpInf()
Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformationSCT2`

### setPmtTpInf

public void setPmtTpInf(PaymentTypeInformationSCT2 value)
Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformationSCT2`

### getAmt

public AmountTypeSCT getAmt()
Gets the value of the amt property.

Returns:
  possible object is `AmountTypeSCT`

### setAmt

public void setAmt(AmountTypeSCT value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `AmountTypeSCT`

### getChrgBr

public ChargeBearerTypeSCTCode getChrgBr()
Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerTypeSCTCode`

### setChrgBr

public void setChrgBr(ChargeBearerTypeSCTCode value)
Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerTypeSCTCode`

### getUltmtDbtr

public PartyIdentificationSCT1 getUltmtDbtr()
Gets the value of the ultmtDbtr property.

Returns:
  possible object is `PartyIdentificationSCT1`

### setUltmtDbtr

public void setUltmtDbtr(PartyIdentificationSCT1 value)
Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSCT1`

### getCdtrAgt

public BranchAndFinancialInstitutionIdentificationSCT getCdtrAgt()
Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSCT`

### setCdtrAgt

public void setCdtrAgt(BranchAndFinancialInstitutionIdentificationSCT value)
Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSCT`

### getCdtr

public PartyIdentificationSCT2 getCdtr()
Gets the value of the cdtr property.

Returns:
  possible object is `PartyIdentificationSCT2`

### setCdtr

public void setCdtr(PartyIdentificationSCT2 value)
Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSCT2`

### getCdtrAcct

public CashAccountSCT2 getCdtrAcct()
Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccountSCT2`

### setCdtrAcct

public void setCdtrAcct(CashAccountSCT2 value)
Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccountSCT2`

### getUltmtCdtr

public PartyIdentificationSCT1 getUltmtCdtr()
Gets the value of the ultmtCdtr property.

Returns:
  possible object is `PartyIdentificationSCT1`

### setUltmtCdtr

public void setUltmtCdtr(PartyIdentificationSCT1 value)
Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSCT1`

### getPurp

public PurposeSCT getPurp()
Gets the value of the purp property.

Returns:
  possible object is `PurposeSCT`

### setPurp

public void setPurp(PurposeSCT value)
Sets the value of the purp property.

Parameters:
  `value` - allowed object is `PurposeSCT`

### getRmtInf

public RemittanceInformationSCTChoice getRmtInf()
Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformationSCTChoice`

### setRmtInf

public void setRmtInf(RemittanceInformationSCTChoice value)
Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformationSCTChoice`